#' FF25 Dataset
#'
#' A dataset containing financial data for portfolio analysis with 25 portfolios formed on size and book-to-market ratios.
#'
#' @format A data frame with 25,670 rows and 27 variables:
#' \describe{
#'   \item{X}{Date in the format YYYYMMDD (int)}
#'   \item{X.1}{Another column (check what this is; update description as needed)}
#'   \item{SMALL.LoBM}{Portfolio returns for small firms with low book-to-market ratios (numeric)}
#'   \item{ME1.BM2}{Portfolio returns for medium-sized firms with book-to-market group 2 (numeric)}
#'   \item{ME1.BM3}{Portfolio returns for medium-sized firms with book-to-market group 3 (numeric)}
#'   \item{ME1.BM4}{Portfolio returns for medium-sized firms with book-to-market group 4 (numeric)}
#'   \item{SMALL.HiBM}{Portfolio returns for small firms with high book-to-market ratios (numeric)}
#'   \item{ME2.BM1}{Portfolio returns for medium-sized firms with book-to-market group 1 (numeric)}
#'   \item{ME2.BM2}{Portfolio returns for medium-sized firms with book-to-market group 2 (numeric)}
#'   \item{ME2.BM3}{Portfolio returns for medium-sized firms with book-to-market group 3 (numeric)}
#'   \item{ME2.BM4}{Portfolio returns for medium-sized firms with book-to-market group 4 (numeric)}
#'   \item{ME2.BM5}{Portfolio returns for medium-sized firms with book-to-market group 5 (numeric)}
#'   \item{ME3.BM1}{Portfolio returns for large firms with book-to-market group 1 (numeric)}
#'   \item{ME3.BM2}{Portfolio returns for large firms with book-to-market group 2 (numeric)}
#'   \item{ME3.BM3}{Portfolio returns for large firms with book-to-market group 3 (numeric)}
#'   \item{ME3.BM4}{Portfolio returns for large firms with book-to-market group 4 (numeric)}
#'   \item{ME3.BM5}{Portfolio returns for large firms with book-to-market group 5 (numeric)}
#'   \item{ME4.BM1}{Portfolio returns for firms in the fourth size and first book-to-market group (numeric)}
#'   \item{ME4.BM2}{Portfolio returns for firms in the fourth size and second book-to-market group (numeric)}
#'   \item{ME4.BM3}{Portfolio returns for firms in the fourth size and third book-to-market group (numeric)}
#'   \item{ME4.BM4}{Portfolio returns for firms in the fourth size and fourth book-to-market group (numeric)}
#'   \item{ME4.BM5}{Portfolio returns for firms in the fourth size and fifth book-to-market group (numeric)}
#'   \item{BIG.LoBM}{Portfolio returns for large firms with low book-to-market ratios (numeric)}
#'   \item{ME5.BM2}{Portfolio returns for large firms with book-to-market group 2 (numeric)}
#'   \item{ME5.BM3}{Portfolio returns for large firms with book-to-market group 3 (numeric)}
#'   \item{ME5.BM4}{Portfolio returns for large firms with book-to-market group 4 (numeric)}
#'   \item{BIG.HiBM}{Portfolio returns for large firms with high book-to-market ratios (numeric)}
#' }
#' @source <Provide any relevant source here, e.g., URL or description of data origin>
#' @examples
#' data(FF25)
#' head(FF25)
"FF25"
